import os
import app.servicecontrol
import app.defaults
import app.util

class ServiceController(app.servicecontrol.SimpleDaemonController):
    def getCommand(self):
        config = app.util.getRuntimeConfiguration()
        
        return "%s/bin/java %s -cp \"%s/*\" com.collabnet.codesearch.integration.Indexer >> %s 2>&1" % (
            config['JAVA_HOME'],
            config['GERRIT_INDEXER_JAVA_OPTS'],
            os.path.join(os.path.dirname(os.path.abspath(__file__)), '..', 'lib'),
            self.getServiceLogPath())
        
    def isDemandStart(self):
        # When the service starts, it does its indexing and then it terminates. To do another
        # round of indexing, it needs to be started again.
        return True
